Python 3.13.7 (tags/v3.13.7:bcee1c3, Aug 14 2025, 14:15:11) [MSC v.1944 64 bit (AMD64)] on win32
Enter "help" below or click "Help" above for more information.
logiz1=bool(56)
logiz2=bool(0)
logiz3=bool("Beta")
logiz4=bool("")
logiz1
True
logiz2
False
logiz3
True
logiz4
False
tt1=int(198.6) #Отбрасывается дробная часть
tt1
198
tt2=int("-76")  #Число – в строке символов, система по умолчанию - десятичная
tt2
-76
tt3=int("B",16)
tt3
11
tt4=int("71",8)
tt4
57
tt5=int("98.76")
Traceback (most recent call last):
  File "<pyshell#16>", line 1, in <module>
    tt5=int("98.76")
ValueError: invalid literal for int() with base 10: '98.76'
flt1=float(789)
fit1
Traceback (most recent call last):
  File "<pyshell#18>", line 1, in <module>
    fit1
NameError: name 'fit1' is not defined. Did you mean: 'flt1'?
flt1
789.0
flt2=float(-6.78e2)
flt2
-678.0
flt3=float("Infinity")
flt3
inf
flt4=float("-inf")
flt4
-inf
KeyboardInterrupt
hh=123
dv1=bin(hh)   #Преобразование в строку с двоичным представлением
vos1=oct(hh)   # Преобразование в строку с восьмеричным представлением
vos1
'0o173'
dv1
'0b1111011'
shs1=hex(hh)   # Преобразование в строку с шестнадцатеричным представлением
shs1
'0x7b'
int(dv1,2)
123
int(vos1,8)
123
int(shs1,16)
123
strk1=str(23.6)
strk1
'23.6'
strk2=str(logiz3)
strk2
'True'
strk3=str(["A","B","C"])  #Преобразуем список
strk3
"['A', 'B', 'C']"
strk4=str(("A","B","C"))  #Преобразуем кортеж
strk4
"('A', 'B', 'C')"
strk5=str({"A":1,"B":2,"C":9})  #Преобразуем словарь
strk5
"{'A': 1, 'B': 2, 'C': 9}"
spis1=list("Строка символов")  #Заданная строка разделяется на символы
pis1
Traceback (most recent call last):
  File "<pyshell#47>", line 1, in <module>
    pis1
NameError: name 'pis1' is not defined. Did you mean: 'spis1'?
spis1
['С', 'т', 'р', 'о', 'к', 'а', ' ', 'с', 'и', 'м', 'в', 'о', 'л', 'о', 'в']
spis2=list((124,236,-15,908))   #Кортеж превращается в список
spis2
[124, 236, -15, 908]
spis3=list({"A":1,"B":2,"C":9})  #Преобразование словаря в список
spis3
['A', 'B', 'C']
spis3 = list({"A": 1, "B": 2, "C": 9}.values())
spis3
[1, 2, 9]
spis3 = list({"A": 1, "B": 2, "C": 9}.items())
spis3
[('A', 1), ('B', 2), ('C', 9)]
kort7=tuple('Строка символов')  #Преобразование строки символов в кортеж
kort7
('С', 'т', 'р', 'о', 'к', 'а', ' ', 'с', 'и', 'м', 'в', 'о', 'л', 'о', 'в')
kort8=tuple(spis2)   #Преобразование списка в кортеж
kort8
(124, 236, -15, 908)
kort9=tuple({"A":1,"B":2,"C":9})   #Преобразование словаря в кортеж
kort9
('A', 'B', 'C')
del strk5, kort8
strk5
Traceback (most recent call last):
  File "<pyshell#64>", line 1, in <module>
    strk5
NameError: name 'strk5' is not defined. Did you mean: 'strk1'?
kort8
Traceback (most recent call last):
  File "<pyshell#65>", line 1, in <module>
    kort8
NameError: name 'kort8' is not defined. Did you mean: 'kort7'?
familiya = "Снегура Д.С."
familiya
'Снегура Д.С.'
spisok = list(familiya)
spisok
['С', 'н', 'е', 'г', 'у', 'р', 'а', ' ', 'Д', '.', 'С', '.']
kortezh = tuple(spisok)
kortezh
('С', 'н', 'е', 'г', 'у', 'р', 'а', ' ', 'Д', '.', 'С', '.')
stroka = str(kortezh)
stroka
"('С', 'н', 'е', 'г', 'у', 'р', 'а', ' ', 'Д', '.', 'С', '.')"
stroka_iz_kortezha = ''.join(kortezh)
stroka_iz_kortezha
'Снегура Д.С.'
print("Исходная и конечная строки совпадают:", familiya == stroka_iz_kortezha)
Исходная и конечная строки совпадают: True
12+7+90   # Сложение целых чисел
109
5.689e-1 - 0.456  #Вычитание вещественных чисел
0.11289999999999994
23.6+54   #Сложение вещественного и целого чисел
77.6
14-56.7+89  # Сложение и вычитание целых и вещественных чисел
46.3
-6.7*12   #Умножение вещественного числа на целое число
-80.4
 -234.5/6   #Деление вещественного числа на целое
 
SyntaxError: unexpected indent
-234.5/6   #Деление вещественного числа на целое
-39.083333333333336
a=178/45  #Деление двух целых чисел – проверьте тип объекта a!
a
3.9555555555555557
type(a)
<class 'float'>
b=178//45   #Деление двух целых чисел
b
3
type(b)
<class 'int'>
c=-24.6//12.1  #Деление двух вещественных чисел
c
-3.0
type(c)
<class 'float'>
148%33   #Остаток от деления двух целых чисел
16
12.6%3.8  #Остаток от деления двух вещественных чисел
1.2000000000000002
148%3.3
2.800000000000008
14.8%33
14.8
14**3  #Целое число возводится в целую степень
2744
e=2.7**3.6  #Вещественное число возводится в вещественную степень
e
35.719843790663525
type(e)
<class 'float'>
m=2.7**36
m
3381391913522734.5
type(m)
<class 'float'>
n=27**3.6
n
142203.2594411396
type(n)
<class 'float'>
z1 = 3 + 4j
z2 = 1 - 2j
z1+z2
(4+2j)
z2-z1
(-2-6j)
z1*z2
(11-2j)
z2/z1
(-0.2-0.4j)
z1**2
(-7+24j)
z1//z2
Traceback (most recent call last):
  File "<pyshell#114>", line 1, in <module>
    z1//z2
TypeError: unsupported operand type(s) for //: 'complex' and 'complex'
z1//2
Traceback (most recent call last):
  File "<pyshell#115>", line 1, in <module>
    z1//2
TypeError: unsupported operand type(s) for //: 'complex' and 'int'
2//z1
Traceback (most recent call last):
  File "<pyshell#116>", line 1, in <module>
    2//z1
TypeError: unsupported operand type(s) for //: 'int' and 'complex'
z1%z2
Traceback (most recent call last):
  File "<pyshell#117>", line 1, in <module>
    z1%z2
TypeError: unsupported operand type(s) for %: 'complex' and 'complex'
z1%2
Traceback (most recent call last):
  File "<pyshell#118>", line 1, in <module>
    z1%2
TypeError: unsupported operand type(s) for %: 'complex' and 'int'
2%z1
Traceback (most recent call last):
  File "<pyshell#119>", line 1, in <module>
    2%z1
TypeError: unsupported operand type(s) for %: 'int' and 'complex'
dv1=9
dv2=~dv1
dv2
-10
bin(dv1)
'0b1001'
bin(dv2)
'-0b1010'
7&9    # 111 и 1001 = 0001
1
7&8    # 111 и 1000 = 0000
0
bin(7)
'0b111'
bin(8)
'0b1000'
bin(9)
'0b1001'
7|9     # 0111 или 1001 = 1111
15
bin(15)
'0b1111'
7|8     # 0111 или 1000 = 1111
15
14|5   # 1110 или 0101 = 1111
15
bin(14)
'0b1110'
bin(5)
'0b101'
14^5  # 1110 исключающее или 0101 = 1011
11
bin(15)
'0b1111'
bin(11)
'0b1011'
h=14   #Двоичное представление = 1110
bin(h)
'0b1110'
g=h<<2  # Новое двоичное представление = 111000
bin(g)
'0b111000'
g1=h>>1  # Новое двоичное представление = 0111
bin(g1)
'0b111'
g2=h>>2  # Новое двоичное представление = 0011
bin(g2)
'0b11'
k=1010100
l=1110001
m=~k
m
-1010101
m=~l
m
-1110002
type(k)
<class 'int'>
k=bin(1010100)
type(k)
<class 'str'>
>>> a = 0b10110101
>>> b = 0b01101011
>>> type(a)
<class 'int'>
>>> c=~a
>>> c
-182
>>> int(a)
181
>>> bin(c)
'-0b10110110'
>>> a&b
33
>>> bin(a&b)
'0b100001'
>>> bin(a|b)
'0b11111111'
>>> bin(a^b)
'0b11011110'
>>> d=a<<2
>>> bin(d)
'0b1011010100'
>>> e=b>>2
>>> bin(e)
'0b11010'
